package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsInquiryOrderMsg;
import com.fs.his.param.FsInquiryOrderMsgListDParam;
import com.fs.his.param.ImMsgParam;
import com.fs.his.vo.FsInquiryOrderMsgListDVO;

/**
 * 图文订单Service接口
 *
 * @author fs
 * @date 2023-06-12
 */
public interface IFsInquiryOrderMsgService
{
    /**
     * 查询图文订单
     *
     * @param msgId 图文订单主键
     * @return 图文订单
     */
    public FsInquiryOrderMsg selectFsInquiryOrderMsgByMsgId(Long msgId);

    /**
     * 查询图文订单列表
     *
     * @param fsInquiryOrderMsg 图文订单
     * @return 图文订单集合
     */
    public List<FsInquiryOrderMsg> selectFsInquiryOrderMsgList(FsInquiryOrderMsg fsInquiryOrderMsg);

    /**
     * 新增图文订单
     *
     * @param fsInquiryOrderMsg 图文订单
     * @return 结果
     */
    public int insertFsInquiryOrderMsg(FsInquiryOrderMsg fsInquiryOrderMsg);

    /**
     * 修改图文订单
     *
     * @param fsInquiryOrderMsg 图文订单
     * @return 结果
     */
    public int updateFsInquiryOrderMsg(FsInquiryOrderMsg fsInquiryOrderMsg);

    /**
     * 批量删除图文订单
     *
     * @param msgIds 需要删除的图文订单主键集合
     * @return 结果
     */
    public int deleteFsInquiryOrderMsgByMsgIds(Long[] msgIds);

    /**
     * 删除图文订单信息
     *
     * @param msgId 图文订单主键
     * @return 结果
     */
    public int deleteFsInquiryOrderMsgByMsgId(Long msgId);

    void saveMsg(ImMsgParam messageInfo);

    List<FsInquiryOrderMsgListDVO> selectFsInquiryOrderMsgListDVO(FsInquiryOrderMsgListDParam param);
}
